Table of Contents

## Name

glDeleteLists - delete a contiguous group of display lists

## C Specification

void glDeleteLists( GLuint list,

        GLsizei range )

## Parameters

list
  Specifies the integer name of the first display list to delete.
range
  Specifies the number of display lists to delete.

## Description

glDeleteLists causes a contiguous group of display lists to be deleted. list is the name of the first display list to be deleted, and range is the number of display lists to delete. All display lists d with list <= d <= list + range - 1 are deleted.

All storage locations allocated to the specified display lists are freed, and the names are available for reuse at a later time. Names within the range that do not have an associated display list are ignored. If range is 0, nothing happens.

## Errors

GL_INVALID_VALUE is generated if range is negative.

GL_INVALID_OPERATION is generated if glDeleteLists is executed between the execution of glBegin and the corresponding execution of glEnd.

## See Also

glCallList(3G) , glCallLists(3G) , glGenLists(3G) , glIsList(3G) , glNewList(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also